Show / Hide Table of Contents

# Class InterfaceManager

##### Inheritance

System.Object
InterfaceManager

##### Implements

System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Interface

###### Assembly: Dalamud.dll

##### Syntax

    public class InterfaceManager : IDisposable

### Constructors

| Improve this Doc View Source

#### InterfaceManager(Dalamud, SigScanner)

##### Declaration

    public InterfaceManager(Dalamud dalamud, SigScanner scanner)

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud.Dalamud | dalamud |
SigScanner | scanner |

### Fields

| Improve this Doc View Source

#### LastImGuiIoPtr

##### Declaration

    public ImGuiIOPtr LastImGuiIoPtr

##### Field Value

Type | Description
--- | ---
ImGuiIOPtr |

| Improve this Doc View Source

#### OnBuildFonts

##### Declaration

    public Action OnBuildFonts

##### Field Value

Type | Description
--- | ---
System.Action |

### Properties

| Improve this Doc View Source

#### DefaultFont

##### Declaration

    public static ImFontPtr DefaultFont { get; }

##### Property Value

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### IconFont

##### Declaration

    public static ImFontPtr IconFont { get; }

##### Property Value

Type | Description
--- | ---
ImFontPtr |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Enable()

##### Declaration

    public void Enable()

| Improve this Doc View Source

#### LoadImage(Byte[])

##### Declaration

    public TextureWrap LoadImage(byte[] imageData)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | imageData |

##### Returns

Type | Description
--- | ---
TextureWrap |

| Improve this Doc View Source

#### LoadImage(String)

##### Declaration

    public TextureWrap LoadImage(string filePath)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | filePath |

##### Returns

Type | Description
--- | ---
TextureWrap |

| Improve this Doc View Source

#### LoadImageRaw(Byte[], Int32, Int32, Int32)

##### Declaration

    public TextureWrap LoadImageRaw(byte[] imageData, int width, int height, int numChannels)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | imageData |
System.Int32 | width |
System.Int32 | height |
System.Int32 | numChannels |

##### Returns

Type | Description
--- | ---
TextureWrap |

| Improve this Doc View Source

#### RebuildFonts()

##### Declaration

    public void RebuildFonts()

### Events

| Improve this Doc View Source

#### OnDraw

This event gets called by a plugin UiBuilder when read

##### Declaration

    public event RawDX11Scene.BuildUIDelegate OnDraw

##### Event Type

Type | Description
--- | ---
RawDX11Scene.BuildUIDelegate |

### Implements

System.IDisposable